## python-pypartpicker 1.9.5

=== requirements.txt ===
bs4
requests

## python-pypartpicker 1.9.0

=== debian/changelog ===
python-pypartpicker (1.9.0-2) unstable; urgency=medium

  * Source-only upload

 -- Ben Westover <kwestover.kw@gmail.com>  Fri, 15 Jul 2022 17:15:13 -0400

python-pypartpicker (1.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Ben Westover ]
  * Initial Package (Closes: #1012831)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 12 Jul 2022 22:10:13 +0200

=== debian/control ===
Source: python-pypartpicker
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ben Westover <kwestover.kw@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pypartpicker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pypartpicker
Homepage: https://github.com/thefakequake/pypartpicker
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-pypartpicker
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Fetch product and part list information from PCPartPicker
 PyPartPicker is a package that allows you to obtain information from
 PCPartPicker quickly and easily, with data being returned via objects
 with numerous attributes.
 .
 Features:
  * Get Part objects, estimated wattage, and total cost from PCPartPicker lists.
  * Obtain name, URL, price, product type, image, and more from Part objects.
  * Obtain everything previously mentioned, plus specs, reviews, and in depth
    pricing information from PCPartPicker product links.
  * Async ready: all scraping methods have an asynchronous version

## python-pypartpicker 1.9.1

=== debian/changelog ===
python-pypartpicker (1.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <kwestover.kw@gmail.com>  Thu, 01 Sep 2022 16:22:21 -0400

## python-pypartpicker 1.9.3

=== debian/changelog ===
python-pypartpicker (1.9.3-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sat, 11 Feb 2023 14:42:24 -0500

python-pypartpicker (1.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 13 Sep 2022 17:48:24 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ben Westover <kwestover.kw@gmail.com>
+Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pypartpicker.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pypartpicker
 Homepage: https://github.com/thefakequake/pypartpicker

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pypartpicker
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pypartpicker 1.9.5

=== debian/changelog ===
python-pypartpicker (1.9.5-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Mon, 04 Dec 2023 12:42:24 -0500

python-pypartpicker (1.9.3-2) unstable; urgency=medium

  * Add egg-info to clean target (Closes: #1048953)

 -- Ben Westover <me@benthetechguy.net>  Mon, 28 Aug 2023 18:18:18 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python3,
  python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pypartpicker.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pypartpicker
 Homepage: https://github.com/thefakequake/pypartpicker

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pypartpicker-$1\.tar\.gz/ \
https://github.com/thefakequake/pypartpicker/tags .*/?(\d\.\d.\d)\.tar\.gz
